import type { CLIResult } from '../../../common/types.js';
export interface ConfigOptions {
    cwd: string;
}
export declare function validateTicketsDirectory(cwd: string): Promise<CLIResult | null>;
export declare function readConfig(cwd: string): Promise<Record<string, unknown>>;
export declare function writeConfig(cwd: string, config: Record<string, unknown>): Promise<void>;
export declare function buildTicketNotice(ticketCount: number, backendType: 'local' | 'github'): string;
